%global momorel 2
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global enable_musicbrainz 0
%global enable_final 1
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 3d18574ca14258fb565160aa84bf217c

Name: kdemultimedia
Summary: Multimedia applications for the K Desktop Environment (KDE).
Version: %{kdever}
Release: %{momorel}m%{?dist}
Group: Applications/Multimedia
License: GPL
URL: http://www.kde.org/areas/multimedia/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{kdever}.tar.bz2 %{md5sum_src0}
Source1: kscdrc
Patch0: %{name}-3.5.0-x86_64.patch

## Patch from gentoo
Patch10: %{name}-3.5.5+flac-1.1.3.patch

# upstream patch
# no patch to be applied

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: aktion
Requires: kdebase >= %{kdever}-%{kdebaserel}
Requires: TiMidity++
Requires: gst-plugins-good
%if %{enable_musicbrainz}
Requires: libtunepimp
%endif
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: alsa-lib-devel >= 1.0.13-2m
BuildPreReq: audiofile-devel >= 0.2.1
BuildPreReq: autoconf >= 2.56-3m
BuildPreReq: cdparanoia-devel >= alpha9.8-8m
BuildPreReq: coreutils >= 5.0-1m
BuildPreReq: flac-devel >= 1.1.4
BuildPreReq: glib2-devel
BuildPreReq: gstreamer-devel
BuildPreReq: kernel-headers
BuildPreReq: lame-devel >= 3.97-2m
BuildPreReq: libakode-devel >= 2.0.1-4m
BuildPreReq: libjpeg-devel >= 6b-30m
BuildPreReq: libmng-devel >= 1.0.9-2m
BuildPreReq: libpng-devel >= 1.2.0
BuildPreReq: libtheora-devel
%if %{enable_musicbrainz}
BuildPreReq: libtunepimp-devel >= 0.5.3-2m
%endif
BuildPreReq: libvorbis-devel >= 1.1.2-2m
BuildPreReq: perl
BuildPreReq: rpm >= 4.0.4-6k
BuildPreReq: taglib-devel >= 1.3-2m
BuildPreReq: xine-lib >= 1.1.4-4m

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdemultimedia package contains multimedia applications for
KDE,including 

  juk, a jukebox and music manager for the KDE
  kmid, a midi player
  kmix, a mixer
  arts, additional functionality for the aRts sound system
  kaboodle, a media player
  noatun, a media player
  krec, a recording tool
  kscd, a Audio-CD player
  kaudiocreator, a graphical frontend for audio file creation 

%prep
%setup -q

%patch0 -p1 -b .x86_64

%patch10 -p1 -b .flac-114

# upstream patch
# no patch to be applied

make -f admin/Makefile.common cvs

perl -p -i -e "s|-ansi||g" configure

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

FLAGS="%{optflags} -DNDEBUG"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

export CFLAGS="$CFLAGS `artsc-config --cflags`"
export CXXFLAGS="$CXXFLAGS `artsc-config --cflags`"
export CPPFLAGS="$CPPFLAGS `artsc-config --cflags`"
export LDFLAGS="$LDFLAGS `artsc-config --libs`"

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-xinerama \
	--with-alsa\
	--with-arts-alsa \
	--with-akode \
	--with-cdparanoia \
	--with-flac \
	--with-gstreamer \
%if %{enable_musicbrainz}
	--with-musicbrainz \
%endif
	--with-theora \
	--with-vorbis \
	--disable-motif \
	--disable-debug \
%if %{enable_final}
	--enable-final \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

LANG=C make -C doc

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}
make -C doc DESTDIR=%{buildroot} install

# install kscdkrc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config/

#####################################
# to avoid freeze konqueror when preview video/audio files
# PLEASE delete these lines after release Momonga Linux 4
#####################################
# delete xineVideoPlayObject.mcopclass
rm -f %{buildroot}%{_libdir}/mcop/xineVideoPlayObject.mcopclass

# modify desktop files
pushd %{buildroot}%{_datadir}/applications/kde/
for file1 in noatun.desktop kaboodle.desktop; do
  for type in "audio/mpeg" "audio/x-mpegurl" "video/mpeg" "video/x-msvideo" "video/quicktime" "video/mp4" "video/x-theora" "video/x-flic" "video/x-ogm" "video/x-ms-asf"; do
    sed -e "s|$type||g" $file1 > $file1.tmp && rm -f $file1
    sed -e "s|;;|;|g" $file1.tmp > $file1 && rm -f $file1.tmp
    sed -e "s|;$||g" $file1 > $file1.tmp && rm -f $file1
    mv $file1.tmp $file1
  done
done
popd

pushd %{buildroot}%{_datadir}/services/
for file2 in kaboodleengine.desktop kaboodle_component.desktop; do
  for type in "audio/mpeg" "audio/x-mpegurl" "video/mpeg" "video/x-msvideo" "video/quicktime" "video/mp4" "video/x-theora" "video/x-flic" "video/x-ogm" "video/x-ms-asf"; do
    sed -e "s|$type||g" $file2 > $file2.tmp && rm -f $file2
    sed -e "s|;;|;|g" $file2.tmp > $file2 && rm -f $file2.tmp
    sed -e "s|;$||g" $file2 > $file2.tmp && rm -f $file2
    mv $file2.tmp $file2
  done
done
popd
#####################################
# KOKOMADE ad hoc...
#####################################

# don't make these world-writeable
chmod go-w %{buildroot}/%{_datadir}/apps/kscd/*

# remove /usr/bin/timidity Requires TiMidity++
rm -f %{buildroot}%{_bindir}/timidity

# Make symlinks relative
cd %{buildroot}/%{_docdir}/HTML/en
for i in *; do
  if [ -e $i/common ]; then
	rm -f $i/common
	ln -sf ../common $i
  fi
done

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
%{_sysconfdir}/xdg/menus/applications-merged/kde-multimedia-music.menu
%{_bindir}/*
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/mcop/Arts/*
%{_libdir}/mcop/Noatun
%{_libdir}/mcop/*.mcopclass
%{_libdir}/mcop/*.mcoptype
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.??*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/artsbuilder
%{_datadir}/apps/artscontrol
%{_datadir}/apps/juk
%{_datadir}/apps/kaboodle
%{_datadir}/apps/kappfinder/apps/Multimedia/*.desktop
%{_datadir}/apps/kaudiocreator
%{_datadir}/apps/kconf_update/* 
%{_datadir}/apps/kicker/applets/*.desktop
%{_datadir}/apps/kmid
%{_datadir}/apps/kmix
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/krec
%{_datadir}/apps/kscd
%{_datadir}/apps/noatun
%{_datadir}/apps/profiles/*
%{_datadir}/apps/videothumbnail
%{_datadir}/autostart/restore_kmix_volumes.desktop
%{_datadir}/config/kscdrc
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/en/artsbuilder
%{_datadir}/doc/HTML/en/juk
%{_datadir}/doc/HTML/en/kaboodle
%{_datadir}/doc/HTML/en/kaudiocreator
%{_datadir}/doc/HTML/en/kioslave/audiocd.docbook
%{_datadir}/doc/HTML/en/kmid
%{_datadir}/doc/HTML/en/kmix
%{_datadir}/doc/HTML/en/krec
%{_datadir}/doc/HTML/en/kscd
%{_datadir}/doc/HTML/en/noatun
%{_datadir}/desktop-directories/kde-multimedia-music.directory
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/services/*
%{_datadir}/servicetypes/*.desktop

%{_includedir}/arts/*
%{_includedir}/mpeglib
%{_includedir}/mpeglib_artsplug
%{_includedir}/libkcddb
%{_includedir}/noatun
%{_includedir}/*.h
%{_libdir}/*.so.?

%changelog
* Sun Jul 15 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-2m)
- delete "xineVideoPlayObject.mcopclass" to avoid freeze konqueror when preview video/audio files
- modify some desktop files to be disabled to preview video files in konqueror
- these are temporaly

* Sat May 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-1m)
- update to KDE 3.5.7
- use kernel-headers, instead of glibc-kernheaders (which was OBSOLETED)

* Thu Feb 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-4m)
- rebuild with flac again
- import kdemultimedia-3.5.5+flac-1.1.3.patch from gentoo-x86-portage
 +- 21 Oct 2006; Diego Petten <flameeyes@gentoo.org>
 +- +files/kdemultimedia-3.5.5+flac-1.1.3.patch, kdemultimedia-3.5.5.ebuild:
 +- Add patch from Josh Coalson to be able to build with flac 1.1.3.

* Wed Feb 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-3m)
- rebuild without flac-1.1.4 for the moment

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.6-2m)
- rebuild against libvorbis alsa-lib libjpeg libmng xine-lib libakode lame etc.

* Mon Jan 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.6-1m)
- update to KDE 3.5.6
- delete unused upstream patches

* Sun Jan 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.5-3m)
- rebuild without libtunepimp
  kdemultimedia doesn't support libtunepimp >= 0.5

* Mon Nov 13 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-2m)
- import upstream patches to fix following problems
  #119116, konqueror crashes in displaying file tooltip in icon view
  #116136, enable setting year to zero

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- update to KDE 3.5.5

* Sun Sep 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-4m)
- rebuild against xine-lib-1.1.2-4m

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.4-3m)
- rebuild against arts-1.5.4-2m kdelibs-3.5.4-3m kdebase-3.5.4-11m

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.4-2m)
- rebuild against kdelibs-3.5.4-2m
- rebuild against kdebase-3.5.4-6m

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4
- remove merged upstream patch

* Tue Jul 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-5m)
- modify options of configure

* Wed Jul  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-4m)
- fix setuid

* Wed Jun 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-3m)
- rebuild against cdparanoia-alpha9.8-8m

* Fri Jun 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-2m)
- Requires: libtunepimp = 0.4.1
- BuildPreReq: libtunepimp-devel = 0.4.1

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3
- remove merged audiocd-in-sata.patch

* Mon May 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-6m)
- modify and install kscdrc (set ledColor and BackColor)

* Sun May 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-5m)
- rebuild against libtunepimp-0.4.2

* Mon May  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-4m)
- import kdemultimedia-3.5.2-audiocd-in-sata.patch from SVN (kde.org)

* Tue Apr  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-3m)
- Requires: gst-plugins-good

* Tue Apr  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.5.2-2m)
- rebuild against gstreamer010
- comment out Requires: gst-plugins-additional

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2

* Sat Mar 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-2m)
- build with libakode (fix short ogg issue)

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-2m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1
- BuildPreReq: libtunepimp-devel

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5

* Wed Nov 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.2m)
- BuildPreReq: gstreamer-devel
- Requres: gst-plugins-additional
- disable hidden visibility

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1
- update x86_64.patch
- add %%post and %%postun

* Wed Oct 19 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.3-2m)
- enable ia64.

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add --disable-rpath to configure
- BuildPreReq: glib-devel

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- remove nokdelibsuff.patch

* Wed Jul  6 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-2m)
- rebuild against flac-1.1.2

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- modify %%files section

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.
- enable x86_64.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- BuildPreReq: alsa-lib-devel, libjpeg-devel, libmng-devel, 
- BuildPreReq: kdebase, cdparanoia-devel

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (3.3.2-3m)
- rebuild with lame.

* Mon Feb  7 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Mon Dec 06 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.3.1-3m)
- comment out Requires: TiMidity++

* Sat Nov 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.1-2m)
- rebuild against flac 1.1.1

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0
- Notice: In kernel-2.4.{25,26,27} environment, mpeglibs/lib/input fails to build. Build this package in kernel-2.6.x environment now.

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- following patches are removed (not appliable)
- - Patch2: kdemultimedia-2.1-glibc-2.2.2.patch
- - Patch6: kdemultimedia-2.1-wav2pat-build.patch
- use xine_artsplugin in tarball (maybe this is new enough)
- add BuildPreReq: flac-devel and taglib-devel
- modified %%files (many new files)

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Sat Dec 26 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-4m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Sat Oct  4 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- refine %%files 

* Sat Oct  4 2003 Toru Hoshina <t@momonga-linux.org>
- (3.1.4-1m)
- kaboodle cannot build.

* Wed Aug 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- changes are:
     Ogg Vorbis Info List view column titles were incorrect.
     kmix: Vertical label widget to sliders in replacement of large horizontal labels
     kmix: Fixed alsa 0.9x to restore current volumes
     kmix: Fixed multiple alsa 0.9x cards detection
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m

* Sun May 11 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-4m)
- export _POSIX2_VERSION=199209

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    KsCD: 
      Stopped KsCD from pausing after tracks in random mode
      Correctly associate extra CDDB information with tracks
      Support non-Latin encodings properly in CDDB entries and elsewhere
      Proper systemtray behaviour
      Updated key accel code to avoid depricated calls
    Movie previews have been removed due to severe unresolved stability problems

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-7m)
- add URL

* Fri Feb 28 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.1-6m)
- --without-lame

* Wed Feb 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1-5m)
- undef __STRICT_ANSI__

* Fri Feb 21 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-4m)
- avoid conflict reported by Ichiro Nakai([Momonga-devel.ja:01420])

* Tue Feb 18 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-3m)
- add xine_artsplugin -- Thank you, exp (Shingo TAKEDA).

* Sun Feb 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1-2m)
- del BuildPreReq: lame (lame is Nonfree)
- add BuildPreReq: xine-lib(sorry... not yet compiled.)

* Sun Feb  2 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Mon Jan 20 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-2m)
- rebuild against kdelibs-3.0.5a-2m.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Sun Dec  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Wed Aug 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.3-2m)
- rebuild against kdelibs-3.0.3-2m

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Sun Jul 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.2-4m)
- please rebuild with REMOVE.PLEASE

* Sat Jul 20 2002 kourin <kourin@momonga-linux.org>
- (3.0.2-3m)
- add libvorbis-devel >= 1.0-2m

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.
- use autoconf from autoconf-old.

* Sun Jun 09 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Thu May 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.0.0-8k)
- cancel gcc-3.1 autoconf-2.53

* Sat May 25 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-6k)
  applied gcc 3.1 patch
  
* Sun Apr 28 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.0-4k)
- enable build koncd.

* Thu Apr  4 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (2.2.2-4k)
- just rebuild for .la fix

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec file.

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Wed Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0001002k)

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (2.1.1-5k)
- rebuild against audiofile-0.2.1.

* Fri Mar 30 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.1.1-3k)

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.1-2k)

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-20k)
- rebuild against QT-2.3.0.

* Tue Jan 16 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-18k]
- backport 2.0.1-19k(Jirai).

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-16k]
- backport 2.0.1-17k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-14k]
- backport 2.0.1-15k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-15k]
- modifined Obsoletes tag.(remove TiMidity++).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-12k]
- backport 2.0.1-13k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-13k]
- rebuild against.

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-11k]
- rebuild against audiofile-0.2.0.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-9k]
- rebuild against qt-2.2.3.

* Tue Dec 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- add kdemultimudia-2.0.1-kaiman-kondara.patch.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-0.4k]
- rebuild against new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-0.3k]
- rebuild against qt 2.2.2.

* Fri Oct 20 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.2k]
- modifile Requires,BuildPrereq.

* Thu Oct 12 2000 Kenichi Matsubara <m@kondara.org>
- [2.0rc2-0.1k]
- update 2.0rc2.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.
- add kdemultimedia-1.94-kscd-20000924.diff

* Tue Sep 26 2000 Kenichi Matsubara <m@kondara.org>
- update 1.94.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Tue Jun 20 2000 Kenichi Matsubara <m@kondara.org>
- initial release Kondara MNU/Linux.
